Bug 140413 - traceback: add to existing VG after previous Cancel operation
Summary: traceback: add to existing VG after previous Cancel operation
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-22 20:25 UTC by Derek Anderson
Modified: 2009-04-16 23:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 19:40:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-11-22 20:25:58 UTC
Description of problem:
This is similar in nature to bug #138085.

Selece an Unallocated Volume, click "Add to Existing Volume Group",
then click the Close Window button (this is the upper-right X button
thing again).  Click "Create new Volume Group" once again.

This Traceback appears on the command line and each subsequent time
the Add to Existing Volume Group is clicked:

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 956, in
on_add_pv_to_vg
    iter = model.append()
AttributeError: 'NoneType' object has no attribute 'append'

The workaround is to restart the application.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.12-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Derek Anderson 2004-11-22 20:47:33 UTC
I am getting a similar error when clicking "Extend Volume Group" from
the Physical View of a VG.  Click the Close button on the dialog, then
click Extend Volume Group again.

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 1046,
in on_extend_vg
    self.rebuild_extend_vg_tree()
  File "/usr/share/system-config-lvm/InputController.py", line 1101,
in rebuild_extend_vg_tree
    iter = model.append()
AttributeError: 'NoneType' object has no attribute 'append'


Comment 2 Jim Parsons 2004-11-22 21:51:48 UTC
Fixed in 0.9.14-1.0

Comment 3 Derek Anderson 2004-11-23 17:21:41 UTC
The original Comment of this bug is fixed.  The related error in
Comment #1 is still happening:

Traceback (most recent call last):
  File "/usr/share/system-config-lvm/InputController.py", line 1051,
in on_extend_vg
    self.rebuild_extend_vg_tree()
  File "/usr/share/system-config-lvm/InputController.py", line 1106,
in rebuild_extend_vg_tree
    iter = model.append()
AttributeError: 'NoneType' object has no attribute 'append'

Comment 4 Jim Parsons 2004-11-23 18:59:53 UTC
Fixed @ 0.9.17-1.0

Comment 5 Derek Anderson 2004-11-23 19:40:52 UTC
Verified in system-config-lvm-0.9.17-1.0.


Note You need to log in before you can comment on or make changes to this bug.